Package: groovy.org.codenarc.rule.size

## [Groovy] Class MethodCountRule

- groovy.org.codenarc.rule.size.MethodCountRule

- A class with too many methods is probably a good suspect for refactoring, in order to reduce its complexity and find a way to have more fine-grained objects.

  Authors:
    Tomasz Bujok
    Hamlet D'Arcy

- - ### Properties Summary

    Properties
    Type | Name and description
    --- | ---
    `Class` | `astVisitorClass`
    `int` | `maxMethods`
    `String` | `name`
    `int` | `priority`

- - ### Property Detail

    - #### Class astVisitorClass

    - #### int maxMethods

    - #### String name

    - #### int priority